diff --git a/bootstrap/sbin/rebuild_system_from_scratch.sh b/bootstrap/sbin/rebuild_system_from_scratch.sh
index 9a8d6a1fb6a706c5de0ec62e454ae8910b578234..56513d1c1add7afd7be95a10addf55a495933c61 100755
--- a/bootstrap/sbin/rebuild_system_from_scratch.sh
+++ b/bootstrap/sbin/rebuild_system_from_scratch.sh
@@ -69,7 +69,10 @@ function start_minimal_tango()
 
 function configure_tango_db()
 {
+    # This somehow returns with a non-0 return code.
+    set +e
     ${HOME_DIR}/sbin/update_ConfigDb.sh ${HOME_DIR}/CDB/LOFAR_ConfigDb.json
+    set -e
 }
 
 function configure_elk()